#ifndef DEFINES_H_
#define DEFINES_H_

// Port definitions
#define		P1_FTX		  	0x08
#define		P2_EN1		  	0x08
#define     P2_EN2        	0x10
#define     P1_EN3        	0x04
#define		P3_nLH			0x40
#define		P1_LED			0x40
#define		P2_WAKE   		0x01
#define		P1_WDEEN  		0x02
#define		P2_EOBA		  	0x04
#define		P1_PB1			0x20
#define		P1_PB2			0x10
#define		P1_BUSY			0x01

#define 	WDEEN_ON 		P1OUT |= BIT1
#define 	WDEEN_OFF		P1OUT &= ~BIT1

// SPI commands
#define		SPIRSSI_1		0x8D
#define		SPIRSSI_2		0x8E
#define		SPIRSSI_3		0x8F
#define		SPIRSSI_OFF		0x8C
#define		SPIWDEs_OFF		0xA4
#define		SPIWDEs_ON		0xA5
#define		SPITAC			0x01
#define		SPICRC			0x80

// Constants
#define		Driver1			0x01
#define		Driver2			0x02
#define		Driver3			0x03

// Definitions
// flag contains the interrupt bits
union flag 
{	unsigned short usValue;
	struct
	{
		unsigned short busy 		: 1;	// interrupt for BUSY
		unsigned short S1			: 1;	// interrupt for PB1
		unsigned short S2			: 1;	// interrupt for PB2
		unsigned short wake			: 1;	// interrupt for WAKE
		unsigned short eoba			: 1;	// interrupt for EOBA
	}field;
};

// Global variables
extern int g_count; 
extern unsigned char ucSPITxData[10];
extern unsigned char ucLFRxData[5];
extern unsigned char ucLFTxData[10];
extern unsigned char ucSPIRxData[10];
extern union flag interrupt_vector;

// Extern functions
void MSP430_SPI_init();
void Waitms(int);
void Wait100us(int);
void transmit_SPI(unsigned char, unsigned char SPITxData[10]);
void receive_SPI(unsigned char);
void PEPS();

#endif /*DEFINES_H_*/
